Bug 1509220 (CVE-2017-12179) - CVE-2017-12179 xorg-x11-server: Integer overflow and unvalidated length in (S)ProcXIBarrierReleasePointer
Summary: CVE-2017-12179 xorg-x11-server: Integer overflow and unvalidated length in (S...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12179
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1509258
Blocks: 1509263
TreeView+ depends on / blocked
 
Reported: 2017-11-03 11:07 UTC by Adam Mariš
Modified: 2019-09-29 14:24 UTC (History)
12 users (show)

Fixed In Version: xorg-x11-server 1.19.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 07:23:46 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-03 11:07:36 UTC
Integer overflow vulnerability was found in (S)ProcXIBarrierReleasePointer functions.

Upstream patch:

https://cgit.freedesktop.org/xorg/xserver/commit/?id=d088e3c1286b548a58e62afdc70bb40981cdb9e8

Comment 1 Adam Mariš 2017-11-03 11:07:44 UTC
Acknowledgments:

Name: the Xorg project

Comment 2 Adam Mariš 2017-11-03 12:28:57 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1509258]


Note You need to log in before you can comment on or make changes to this bug.